libvisio::NURBSData Struct Reference

`#include <VSDTypes.h>`

## Public Member Functions

| NURBSData ()
| NURBSData (const NURBSData &data)=default
NURBSData & | operator= (const NURBSData &data)=default

## Public Attributes

double | lastKnot
unsigned | degree
unsigned char | xType
unsigned char | yType
std::vector< double > | knots
std::vector< double > | weights
std::vector< std::pair< double, double > > | points

## Constructor & Destructor Documentation

## NURBSData() [1/2]

libvisio::NURBSData::NURBSData | ( |  | ) |

inline

Referenced by NURBSData(), and operator=().

## NURBSData() [2/2]

libvisio::NURBSData::NURBSData | ( | const NURBSData & | data | ) |

default

## Member Function Documentation

## operator=()

NURBSData & libvisio::NURBSData::operator= | ( | const NURBSData & | data | ) |

default

## Member Data Documentation

## degree

unsigned libvisio::NURBSData::degree

Referenced by libvisio::VSDContentCollector::collectNURBSTo(), libvisio::VSDContentCollector::collectShapeData(), NURBSData(), libvisio::VSDXMLParserBase::readNURBSData(), and libvisio::VSDParser::readShapeData().

## knots

std::vector<double> libvisio::NURBSData::knots

Referenced by libvisio::VSDContentCollector::collectNURBSTo(), libvisio::VSDContentCollector::collectShapeData(), NURBSData(), libvisio::VSDXMLParserBase::readNURBSData(), and libvisio::VSDParser::readShapeData().

## lastKnot

double libvisio::NURBSData::lastKnot

Referenced by libvisio::VSDContentCollector::collectNURBSTo(), libvisio::VSDContentCollector::collectShapeData(), NURBSData(), libvisio::VSDXMLParserBase::readNURBSData(), and libvisio::VSDParser::readShapeData().

## points

std::vector<std::pair<double, double> > libvisio::NURBSData::points

Referenced by libvisio::VSDContentCollector::collectNURBSTo(), libvisio::VSDContentCollector::collectShapeData(), NURBSData(), libvisio::VSDXMLParserBase::readNURBSData(), and libvisio::VSDParser::readShapeData().

## weights

std::vector<double> libvisio::NURBSData::weights

Referenced by libvisio::VSDContentCollector::collectNURBSTo(), libvisio::VSDContentCollector::collectShapeData(), NURBSData(), libvisio::VSDXMLParserBase::readNURBSData(), and libvisio::VSDParser::readShapeData().

## xType

unsigned char libvisio::NURBSData::xType

Referenced by libvisio::VSDContentCollector::collectNURBSTo(), libvisio::VSDContentCollector::collectShapeData(), NURBSData(), libvisio::VSDXMLParserBase::readNURBSData(), and libvisio::VSDParser::readShapeData().

## yType

unsigned char libvisio::NURBSData::yType

Referenced by libvisio::VSDContentCollector::collectNURBSTo(), libvisio::VSDContentCollector::collectShapeData(), NURBSData(), libvisio::VSDXMLParserBase::readNURBSData(), and libvisio::VSDParser::readShapeData().

The documentation for this struct was generated from the following file:

- VSDTypes.h